#ifndef	gaintool_HEADER
#define	gaintool_HEADER

/*
 * gaintool_ui.h - User interface object and function declarations.
 */
#ifndef lint
/*
	"@(#)gaintool_ui.h 1.2 90/09/21 Copyr 1989 Sun Micro";
*/
#endif

/*
 * Copyright (c) 1989 by Sun Microsystems, Inc.
 */



extern Attr_attribute	INSTANCE;


typedef struct {
	Xv_opaque	BaseFrame;
	Xv_opaque	GainPanel;
	Xv_opaque	PlaySlider;
	Xv_opaque	RecordSlider;
	Xv_opaque	MonitorSlider;
	Xv_opaque	OutputSwitch;
	Xv_opaque	Pause_button;
} gaintool_BaseFrame_objects;

extern gaintool_BaseFrame_objects	*gaintool_BaseFrame_objects_initialize();

extern Xv_opaque	gaintool_BaseFrame_BaseFrame_create();
extern Xv_opaque	gaintool_BaseFrame_GainPanel_create();
extern Xv_opaque	gaintool_BaseFrame_PlaySlider_create();
extern Xv_opaque	gaintool_BaseFrame_RecordSlider_create();
extern Xv_opaque	gaintool_BaseFrame_MonitorSlider_create();
extern Xv_opaque	gaintool_BaseFrame_OutputSwitch_create();
extern Xv_opaque	gaintool_BaseFrame_Pause_button_create();

typedef struct {
	Xv_opaque	PropSheet;
	Xv_opaque	PlayPropsPanel;
	Xv_opaque	Ppanel_label;
	Xv_opaque	Popen_flag;
	Xv_opaque	Ppaused_flag;
	Xv_opaque	Pactive_flag;
	Xv_opaque	Puf_flag;
	Xv_opaque	Pow_flag;
	Xv_opaque	Peof_label;
	Xv_opaque	Peof_value;
	Xv_opaque	Psam_label;
	Xv_opaque	Psam_value;
	Xv_opaque	Psamr_label;
	Xv_opaque	Psamr_value;
	Xv_opaque	Pchan_label;
	Xv_opaque	Pchan_value;
	Xv_opaque	Pprec_label;
	Xv_opaque	Pprec_value;
	Xv_opaque	Pencod_label;
	Xv_opaque	Pencode_value;
	Xv_opaque	RecPropsPanel;
	Xv_opaque	Rpanel_label;
	Xv_opaque	Ropen_flag;
	Xv_opaque	Rpaused_flag;
	Xv_opaque	Ractive_flag;
	Xv_opaque	Rof_flag;
	Xv_opaque	Row_flag;
	Xv_opaque	Rsam_label;
	Xv_opaque	Rsam_value;
	Xv_opaque	Rsamr_label;
	Xv_opaque	Rsamr_value;
	Xv_opaque	Rchan_label;
	Xv_opaque	Rchan_value;
	Xv_opaque	Rprec_label;
	Xv_opaque	Rprec_value;
	Xv_opaque	Rencod_label;
	Xv_opaque	Rencode_value;
} gaintool_PropSheet_objects;

extern gaintool_PropSheet_objects	*gaintool_PropSheet_objects_initialize();

extern Xv_opaque	gaintool_PropSheet_PropSheet_create();
extern Xv_opaque	gaintool_PropSheet_PlayPropsPanel_create();
extern Xv_opaque	gaintool_PropSheet_Ppanel_label_create();
extern Xv_opaque	gaintool_PropSheet_Popen_flag_create();
extern Xv_opaque	gaintool_PropSheet_Ppaused_flag_create();
extern Xv_opaque	gaintool_PropSheet_Pactive_flag_create();
extern Xv_opaque	gaintool_PropSheet_Puf_flag_create();
extern Xv_opaque	gaintool_PropSheet_Pow_flag_create();
extern Xv_opaque	gaintool_PropSheet_Peof_label_create();
extern Xv_opaque	gaintool_PropSheet_Peof_value_create();
extern Xv_opaque	gaintool_PropSheet_Psam_label_create();
extern Xv_opaque	gaintool_PropSheet_Psam_value_create();
extern Xv_opaque	gaintool_PropSheet_Psamr_label_create();
extern Xv_opaque	gaintool_PropSheet_Psamr_value_create();
extern Xv_opaque	gaintool_PropSheet_Pchan_label_create();
extern Xv_opaque	gaintool_PropSheet_Pchan_value_create();
extern Xv_opaque	gaintool_PropSheet_Pprec_label_create();
extern Xv_opaque	gaintool_PropSheet_Pprec_value_create();
extern Xv_opaque	gaintool_PropSheet_Pencod_label_create();
extern Xv_opaque	gaintool_PropSheet_Pencode_value_create();
extern Xv_opaque	gaintool_PropSheet_RecPropsPanel_create();
extern Xv_opaque	gaintool_PropSheet_Rpanel_label_create();
extern Xv_opaque	gaintool_PropSheet_Ropen_flag_create();
extern Xv_opaque	gaintool_PropSheet_Rpaused_flag_create();
extern Xv_opaque	gaintool_PropSheet_Ractive_flag_create();
extern Xv_opaque	gaintool_PropSheet_Rof_flag_create();
extern Xv_opaque	gaintool_PropSheet_Row_flag_create();
extern Xv_opaque	gaintool_PropSheet_Rsam_label_create();
extern Xv_opaque	gaintool_PropSheet_Rsam_value_create();
extern Xv_opaque	gaintool_PropSheet_Rsamr_label_create();
extern Xv_opaque	gaintool_PropSheet_Rsamr_value_create();
extern Xv_opaque	gaintool_PropSheet_Rchan_label_create();
extern Xv_opaque	gaintool_PropSheet_Rchan_value_create();
extern Xv_opaque	gaintool_PropSheet_Rprec_label_create();
extern Xv_opaque	gaintool_PropSheet_Rprec_value_create();
extern Xv_opaque	gaintool_PropSheet_Rencod_label_create();
extern Xv_opaque	gaintool_PropSheet_Rencode_value_create();
#endif
